{% extends "@Paa/Default/pageEntityFormGrille.html.twig" %}

{% block datatable_title %}
    <th id="iidUsager" style="display: none">Id</th>
    <th id="cnom">Nom</th> 
    <th id="cprenom">Prénom</th> 
    <th id="dnaissance">Date de naissance</th>
    <th id="dentree">Date d'entrée</th> 
    <th id="dsortie">Date de sortie</th> 
    <th id="cnomcourt">Nom Court</th> 
    {% endblock %}



{% block datatable_body %}

    {% set iRow = 0 %}

    {% for row in poListeEntités %}
        <tr>
            <td id ="row_{{ iRow|raw }}_iidUsager" style="display: none" name="{{ row.iidUsager }}" class="Ressource"> {{ row.iidUsager }} </td>
            <td id ="row_{{ iRow|raw }}_cnom"> {{ row.cnom}} </td> 
            <td id ="row_{{ iRow|raw }}_cprenom"> {{ row.cprenom}} </td>
{# MG Modification 20200813 Début #}
{# Les champs vides etaient rempli avec la date du jour #}
{#            <td id ="row_{{ iRow|raw }}_dnaissance"> {{ row.dnaissance|date('d-m-Y')}} </td> #}
			<td id ="row_{{ iRow|raw }}_dnaissance"> {{ row.dnaissance ? row.dnaissance|date('d-m-Y') : ''}} </td> 
{#            <td id ="row_{{ iRow|raw }}_dentree"> {{ row.dentree|date('d/m/Y')}} </td> #}
            <td id ="row_{{ iRow|raw }}_dentree"> {{ row.dentree ? row.dentree|date('d/m/Y') : ''}} </td> 
{#            <td id ="row_{{ iRow|raw }}_dsortie"> {{ row.dsortie|date('d/m/Y')}} </td> #}
            <td id ="row_{{ iRow|raw }}_dsortie"> {{ row.dsortie ? row.dsortie|date('d/m/Y') : ''}} </td>
{# MG Modification 20200813 Fin #}
            <td id ="row_{{ iRow|raw }}_cnomcourt"> {{ row.cnomcourt}} </td> 
        </tr>
        {% set iRow = iRow + 1%}
    {% endfor %}
{% endblock %}
